Subject: Re: bug#13583: 24.3.50; Error when activating auto-revert-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Jan 2013 19:42:43 +0200

> Date: Tue, 29 Jan 2013 14:42:39 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> In the custom file, I have exclusively face customizations, which I
> can tweak and save whenever I want.

For face customizations, you can use custom-save-faces instead.

> So, if I write a call to customize-set-faces or
> customize-set-variables right in my init file, the customizations made
> that way end up in a "unsaved" state, so that if I do some face
> customization (using customize) and save it, the custom file receives
> not only the face customization, but also the other "unsaved" ones,
> which I wanted to keep out of the custom file.

Then keep all your calls to custom-save-* in one place.  This way,
even if you overwrite them, you can easily restore order by using the
backup of that single file.  (You do back up your init files, right?)